Skip to main content
`Ctrl`+`K`

# MATDENSE

MATDENSE = “dense” - A matrix type to be used for dense matrices. This matrix type is identical to `MATSEQDENSE` when constructed with a single process communicator, and `MATMPIDENSE` otherwise.

## Options Database Key

- -mat_type dense - sets the matrix type to `MATDENSE` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATSEQDENSE`, `MATMPIDENSE`, `MATDENSECUDA`, `MATDENSEHIP`

## Level

beginner

## Location

src/mat/impls/dense/mpi/mpidense.c

## Examples

src/ksp/ksp/tutorials/ex21.c
src/ts/tutorials/ex40.c
src/ksp/ksp/tutorials/ex81.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages